using CoreLibrary;
using CoreLibrary.Events;
using CoreLibrary.Regles;

namespace MauiSpark.Pages;

public partial class Mode : ContentPage
{
    public Mode()
	{
        NavigationPage.SetHasNavigationBar(this, false);

        InitializeComponent();
	}

	private void QuandReglesClassiques(Object? sender, EventArgs e)
	{
		Partie partie = new Partie(new ReglesClassiques());

        partie.DemanderNom += new ConnexionPage().QuandDemanderNom;
        partie.NouveauTour += new Plateau().QuandNouveauTour;
        partie.PartieTerminee += new Victoire().QuandPartieTerminee;

        partie.Jouer();
    }
}